Description

It would be very beneficial to be able to establish who can and cannot view or otherwise access uploaded documents and files based

on their role(s).

For instance, I would like to manage my user documentation and administrative documentation for each project.  But the

administrative documentation often has information that should not be made accessible to my general users.

As a workaround, I can create a new sub-project with a subset of members to house the more sensitive documentation, but it would

be great if this step was unnecessary.

The same is true for files.  If I generate an Excel dashboard that contains sensitive information, I have to either track it outside of

Redmine or create a sub-project just to house a file or two.

As an aside, the same logic holds true for many things, but I saw that there was already a suggestion for issue permissions, and I

think there is already a plugin for Wiki-specific permissions.

Related issues:

Related to Redmine - Feature #4868: Ability to add permissions to Document ca... New

Related to Redmine - Feature #1086: Fine grained permissions New 2008-04-22

History

#1 - 2010-01-12 20:32 - Jean-Philippe Lang

- Category set to Permissions and roles

#2 - 2011-01-27 19:33 - Ian Epperson

Similar to #4868

#3 - 2011-05-18 12:16 - Kamil .

+1

#4 - 2012-04-16 17:08 - Giovani Spagnolo

+1 ! This is a must-have feature for organizations that need to share documentation to different levels (managers-onlyreports, technical stuff,

client-ready docs...)

#5 - 2012-06-20 05:05 - Ben C

+1

#6 - 2012-11-18 21:06 - @ go2null

+1

#7 - 2014-10-03 16:26 - Toshi MARUYAMA

- Related to Feature #1086: Fine grained permissions added

#8 - 2016-01-30 05:37 - Anh Le Giang

+1
